Name:			antlr-maven-plugin
Version:		2.2
Release:		%mkrel 24
Group:                  Development/Java
Summary:		Maven plugin that generates files based on grammar file(s)
License:		ASL 2.0
URL:			http://mojo.codehaus.org/antlr-maven-plugin/

Source0:		https://repo1.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

# Modern modello expects to see <models></models>, even if there is only one.
Patch0:			maven-antlr-plugin-2.2-modello-issue.patch
# siteRenderer.createSink doesn't exist anymore
Patch2:			maven-antlr-plugin-2.1-sinkfix.patch
# Fix grammar processing bug (bz 1020312)
Patch3:			0001-MANTLR-34-Fix-NPE-when-building-Jenkins.patch

BuildArch:		noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-exec)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-i18n)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The Antlr Plugin has two goals:
- antlr:generate Generates file(s) to a target directory based on grammar
  file(s).
- antlr:html Generates Antlr report for grammar file(s).

%package javadoc
Summary:		Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch -P 0 -p1 -b .modello
%patch -P 2 -b .sink
%patch -P 3 -p1 -b .fixnpe

# reporting eventually pulls in another antlr and we'd break with weird errors
%pom_xpath_inject "pom:dependency[pom:artifactId[text()='maven-reporting-impl']]/pom:exclusions" "
        <exclusion>
            <groupId>antlr</groupId>
            <artifactId>antlr</artifactId>
        </exclusion>"

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%mvn_file : %{name}

%build
%mvn_build --xmvn-javadoc -- -Dmaven.test.skip=true

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Tue May 21 2024 ns80 <ns80> 2.2-24.mga10
+ Revision: 2065512
- rebuild for java 21

* Fri Jan 27 2023 daviddavid <daviddavid> 2.2-23.mga9
+ Revision: 1936421
- rebuild with current java stack (with fixed maven-reporting-api 3.1.1)

* Sat Mar 26 2022 umeabot <umeabot> 2.2-22.mga9
+ Revision: 1827278
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.2-21.mga8
+ Revision: 1489254
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2-20.mga7
+ Revision: 1259539
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 2.2-19.mga6
+ Revision: 1102475
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 2.2-18.mga6
+ Revision: 982650
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.2-17.mga6
+ Revision: 975461
- First rebuild of the java stack
- sync package antlr-maven-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.2-15.mga5
+ Revision: 805771
- Clean rebuild
- Restore
+ sander85 <sander85>
- Depends on broken java stack
+ dmorgan <dmorgan>
- Fix grammar processing bug (bz 1020312)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 2.2-10.mga4
+ Revision: 565281
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 2.2-9.mga4
+ Revision: 545548
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 2.2-8.mga4
+ Revision: 501397
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 2.2-7.mga3
+ Revision: 345602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.2-6.mga3
+ Revision: 291853
- Use fedora spec file layout

* Wed Aug 03 2011 gil <gil> 2.2-4.mga2
+ Revision: 131471
- rebuilt with new JP macro

* Wed Apr 27 2011 dmorgan <dmorgan> 2.2-3.mga1
+ Revision: 92221
- Rebuild after bootstrapping
- imported package antlr-maven-plugin


* Wed Mar 9 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2-2
- Build with maven 3.
- Use upstream sources.
- Adapt to current guidelines.

* Mon Mar  3 2011 Tom Callaway <spot@fedoraproject.org> 2.2-1.20110307svn13719
- update to 2.2 tag

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4.20101012svn12849
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-3.20101012svn12849
- fix provides/obsoletes to replace old (dead) package
- don't own mavendepmapfragdir, just the files inside it
- don't set buildarch on javadoc (entire package is noarch already)

* Wed Oct 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-2.20101012svn12849
- add post/postun
- fix pom filename
- svn export
- comment patchset
- provides for maven-antlr-plugin
- drop unnecessary symlinks
- use maven macros

* Tue Oct 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-1.20101012svn12849
- initial package
